//-----------------------------------------------------------------------------
//Api_2_Ueh_Glen .java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//Package Definition
//-----------------------------------------------------------------------------
package uicc.usim.test.toolkit.api_2_ueh_glen;

//-----------------------------------------------------------------------------
//Imports
//-----------------------------------------------------------------------------

import uicc.usim.test.util.*;
import uicc.toolkit.*;
import uicc.usim.toolkit.*;

/**
* Test Area : uicc.usim.tookit.USATEnvelopeHandler.getLength()
*/

public class Api_2_Ueh_Glen_1  extends TestToolkitApplet implements uicc.usim.toolkit.ToolkitConstants
{
    // Number of tests
    byte testCaseNb = (byte) 0x00;
    byte testCaseSubNb =(byte) 0x01;
      
    /**
    * Constructor of the applet
    */
    public Api_2_Ueh_Glen_1 () 
    {
        
    }
    
    
    /**
    * Method called by the JCRE at the installation of the applet
    */
    public static void install(byte bArray[], short bOffset, byte bLength) 
    {
        // Create a new applet instance
          Api_2_Ueh_Glen_1  thisApplet = new Api_2_Ueh_Glen_1 ();
        
        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        
        // Initialise the data of the test applet
        thisApplet.init(); 
          
        // Set Formatted SMS PP ENV as an activation event for the applet
        thisApplet.obReg.setEvent(EVENT_FORMATTED_SMS_PP_ENV);
        
          // Set Unformatted SMS PP as an activation event for the applet
        thisApplet.obReg.setEvent(EVENT_UNFORMATTED_SMS_PP_ENV);
    }
    
    
    /**
     * Method called by the SIM Toolkit Framework
    */
    public void processToolkit(short event) 
    {
        // Result of tests
        boolean bRes ;
        
        // Get the system instance of handlers
        USATEnvelopeHandler envHdlr = USATEnvelopeHandlerSystem.getTheHandler();
        ProactiveHandler proHdlr = ProactiveHandlerSystem.getTheHandler() ;
        
        switch ( testCaseNb ) 
        {
            case (byte) 0 :
                // --------------------------------------------
                // Test Case 1 : 
                testCaseNb = (byte) 1 ;
        
                bRes = false ;
                try {
                    if (envHdlr.getLength()==0x31 )
                        bRes = true;
                }
                catch (Exception e)    {    
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;
                break;
        
            case (byte) 1 :
                // --------------------------------------------
                // Test Case 2 : 
                testCaseNb = (byte) 2 ;
        
                bRes = false ;
                try {
                    if (envHdlr.getLength()==0x7F )
                        bRes = true;
                }
                catch (Exception e)    {    
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;
                break;
        
            case (byte) 2 :
                // --------------------------------------------
                // Test Case 3 : 
                testCaseNb = (byte) 3 ;
        
                bRes = false ;
                try {
                    if (envHdlr.getLength()==0x80 )
                        bRes = true;
                }
                catch (Exception e)    {    
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;
                break;
        
            case (byte) 3 :
                // --------------------------------------------
                // Test Case 4 : 
                testCaseNb = (byte) 4 ;
        
                bRes = false ;
                try {
                    if (envHdlr.getLength()==0xFC )
                        bRes = true;
                }
                catch (Exception e)    {    
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;
                break;

        }
    }
}
